Bug 134959 - FC3T2 openoffice file dialogs very broken on x86-64
FC3T2 openoffice file dialogs very broken on x86-64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On: 135709
Blocks: 131589
  Show dependency treegraph
 
Reported: 2004-10-07 11:07 EDT by Alan Cox
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-15 16:28:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpm -qa (16.18 KB, text/plain)
2004-10-14 15:07 EDT, Matthias Clasen
no flags Details
rpm -ql gtk2 for the i386 package (10.70 KB, text/plain)
2004-10-14 15:08 EDT, Matthias Clasen
no flags Details
rpm -ql gtk2 for the x86_64 package (10.77 KB, text/plain)
2004-10-14 15:08 EDT, Matthias Clasen
no flags Details
/etc/gtk-2.0/i386-redhat-linux-gnu/gdk-pixbuf.loaders (2.59 KB, text/plain)
2004-10-14 15:10 EDT, Matthias Clasen
no flags Details
/etc/gtk-2.0/x86_64-redhat-linux-gnu/gdk-pixbuf.loaders (2.95 KB, text/plain)
2004-10-14 15:10 EDT, Matthias Clasen
no flags Details

  None (edit)
Description Alan Cox 2004-10-07 11:07:34 EDT
There is no dependancies to suck in the Red Hat i386 theme. 

If you then add these you get

Error loading XPM image loader: UNable to load image-loading module:
/usr/lib64/gtk-2.0/2.4.0/loaders/libpixbufloader-xpm.so: cannot open
shared object file: No such file or directory

mixed with a collection of 

Glib and Gtk CRITICAL error spewage about G_IS_OBJECT(object) failed
and pixbuf != NULL. 

Many icons on the buttons are missing

Also other stuff like CD-ROM and Floppy are missing from the selector.

If you hit CTRL-L you then discover ftp:// access is broken (but does
work in gnome applications).

Very very messy.
Comment 1 Matthias Clasen 2004-10-13 13:54:59 EDT
If it cannot load pixbuf loaders, it is no wonder that the icons are
missing.

Do you have /usr/lib64/gtk-2.0/2.4.0/loaders/*.so, and are they
64bit shared objects ?

Do you have /etc/gtk-2.0/x86_64-redhat-linux-gnu/gdk-pixbuf.loaders,
and does it look ok ?
Comment 2 Alan Cox 2004-10-13 18:33:57 EDT
I do and they work fine, but remember openoffice is a 32bit app so
should be using the 32bit loaders..
Comment 3 Dan Williams 2004-10-14 11:48:39 EDT
So the question is, why is 32-bit GTK looking for the loaders in the
64-bit directories?
Comment 4 Dan Williams 2004-10-14 11:56:10 EDT
Alan, do you have 32-bit redhat-artwork at all?
Comment 5 Alexander Larsson 2004-10-14 12:09:21 EDT
Depending on bug 135709 to get 32bit redhat-artwork installed.
Comment 6 Matthias Clasen 2004-10-14 13:21:14 EDT
The file dialog in ooo to work fine on a fresh x86_64 install of
rawhide 20041013. 

Is your system a fresh install, or has it been updated from older test
releases, Alan ? The had some issues, initially, so maybe this is a
"rolling update" symptom... 
Do you have  /etc/gtk-2.0/i386-redhat-linux-gnu/gdk-pixbuf.loaders,
and does it list .so files in /usr/lib/gtk-2.0/2.4.0/loaders ?
Are those present, and are 32-bit ?
Comment 7 Alan Cox 2004-10-14 13:30:39 EDT
I didnt originally have the 32bit ones installed but found that
updating them made no diferences. WHat else should be present( eg can
you email me an rpm -qa from a working case and I'll verify what the
problem item is)
Comment 8 Matthias Clasen 2004-10-14 15:07:18 EDT
Created attachment 105222 [details]
rpm -qa
Comment 9 Matthias Clasen 2004-10-14 15:08:12 EDT
Created attachment 105223 [details]
rpm -ql gtk2 for the i386 package
Comment 10 Matthias Clasen 2004-10-14 15:08:40 EDT
Created attachment 105224 [details]
rpm -ql gtk2 for the x86_64 package
Comment 11 Matthias Clasen 2004-10-14 15:10:14 EDT
Created attachment 105225 [details]
/etc/gtk-2.0/i386-redhat-linux-gnu/gdk-pixbuf.loaders
Comment 12 Matthias Clasen 2004-10-14 15:10:46 EDT
Created attachment 105226 [details]
/etc/gtk-2.0/x86_64-redhat-linux-gnu/gdk-pixbuf.loaders
Comment 13 Alan Cox 2004-10-15 16:28:10 EDT
Updated fixed it, not sure which bit in the end

Note You need to log in before you can comment on or make changes to this bug.